Bug 1277602 - SELinux is preventing csgo_linux from using the 'execheap' accesses on a process.
SELinux is preventing csgo_linux from using the 'execheap' accesses on a proc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cf6b3f45f3d6f096c98a5939adb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 11:06 EST by Vinicius Reis
Modified: 2016-04-09 13:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinicius Reis 2015-11-03 11:06:24 EST
Description of problem:
Launching CSGO on Linux.
SELinux is preventing csgo_linux from using the 'execheap' accesses on a process.

*****  Plugin allow_execheap (53.1 confidence) suggests   ********************

If você não acredita que o csgo_linux deva precisar mapear a memória gravável e executável.
Then você precisa reportar um erro. Este é um acesso muito perigoso.
Do
contate seu administrador de segurança e reporte este problema.

*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If você deseja allow selinuxuser to execheap
Then você deve informar o SELinux sobre isso habilitando o booleano 'selinuxuser_execheap'.
Você pode ler a man page 'None' para mais detalhes.
Do
setsebool -P selinuxuser_execheap 1

*****  Plugin catchall (5.76 confidence) suggests   **************************

If você acredita que o csgo_linux deva ser permitido o acesso de execheap em processos com rótulo unconfined_t por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep csgo_linux /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                Unknown [ process ]
Source                        csgo_linux
Source Path                   csgo_linux
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-152.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-300.fc23.x86_64 #1 SMP Mon
                              Oct 5 15:42:54 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-11-03 13:49:05 BRST
Last Seen                     2015-11-03 13:49:05 BRST
Local ID                      4b146ca7-5b11-4953-a2f1-972320e279c8

Raw Audit Messages
type=AVC msg=audit(1446565745.876:584): avc:  denied  { execheap } for  pid=6351 comm="csgo_linux" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=1


Hash: csgo_linux,unconfined_t,unconfined_t,process,execheap

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1197492
Comment 1 Lukas Vrabec 2015-11-20 10:54:17 EST
We don't want allow this. 
If you want to allow it follow:
*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If você deseja allow selinuxuser to execheap
Then você deve informar o SELinux sobre isso habilitando o booleano 'selinuxuser_execheap'.
Você pode ler a man page 'None' para mais detalhes.
Do
setsebool -P selinuxuser_execheap 1
Comment 2 Vinicius Reis 2015-11-20 11:02:43 EST
Ok, thanks.
Comment 3 Chris 2016-01-16 05:23:32 EST
Description of problem:
Just opened Counter-Strike: Global Offensive.

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.3.3-300.fc23.x86_64
type:           libreport
Comment 4 hx 2016-03-28 04:07:37 EDT
Description of problem:
Played CS:GO game on my box

Version-Release number of selected component:
selinux-policy-3.13.1-158.11.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.6-300.fc23.x86_64
type:           libreport
Comment 5 hx 2016-04-09 13:34:35 EDT
Description of problem:
Playing CS:GO in Steam

Version-Release number of selected component:
selinux-policy-3.13.1-158.12.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.6-301.fc23.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.